Issue 20434

Summary: No error when no printer installed
Product: gsl Reporter: ilkkap <ipeltonen>
Component: codeAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: haxwell, issues, utomo.prawiro
Version: OOo 1.1 RC5Keywords: oooqa
Target Milestone: AOO PleaseHelp   
Hardware: PC   
OS: Windows 2000   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description ilkkap 2003-09-30 11:55:16 UTC
(I'm not sure if this is the right component to report this)

I tried to print a writer document directly from the Explorer
(right click, select Print).
I was unaware that I did not have printers installed (or better,
that the Print Spooler service was down).
The print operation failed silently. I tried to print a few times without luck 
before I began to suspect that something was wrong with the print subsystem.
I was expecting an error or some kind of message from Open Office
that the operation failed.
I tried also without any printers but the spooler subsystem active but the 
result was the same, no error.
Comment 1 utomo99 2003-10-07 06:27:50 UTC
If there is no error warning, we can have problem when printing over
network. we didnt know if the printing is OK, or got problem. 
in work it sometimes can be very important.

change the component to gsl, as this is printing issue
Comment 2 christof.pintaske 2003-10-07 09:05:56 UTC
cp->ssa: is it that we do not detect an error or just that there is no
UI to show the error (or both) ?

Comment 3 utomo99 2003-11-13 07:59:38 UTC
utomo > SSA:
Please check . thanks
------- Additional Comments From Christof Pintaske 2003-10-07 01:05
PDT -------

cp->ssa: is it that we do not detect an error or just that there is no
UI to show the error (or both) ?

Comment 4 stephan_schaefer 2004-02-05 17:18:03 UTC
ssa->lo: As you are responsible for the cmdline parameters, may be you can find
out if this behaviour is wanted. In general, dialogs are not supressed when
printing via cmdline, but it seems that in this case (no printer installed) the
corresponding error message is not triggered.
Comment 5 thackert 2005-01-16 14:36:12 UTC
I have seen that the last entry was in February 2004 and that it is OOo-1.1RC5
related. Have you tried this with a newer version of OOo? And does your problem
occur there also? If not: Could you (or someone else) close this issue, please?
Comment 6 ilkkap 2005-01-18 14:29:48 UTC
thackert:

I've tried this with 1.9.m62 and the behavior is the same. 
No error messages or other indications that the print will fail.

Comment 7 haxwell 2005-02-09 22:48:40 UTC
Confirmed in 1.9.77. When no printer is defined, OOo silently fails to print.
Comment 8 lo 2005-07-11 09:28:03 UTC
set target
Comment 9 lo 2007-03-06 16:49:34 UTC
dispatching to framework
Comment 10 lo 2007-03-06 17:03:08 UTC
dispatch to framework
Comment 11 carsten.driesner 2007-03-08 10:35:52 UTC
cd: Accepted.
Comment 12 carsten.driesner 2007-03-08 10:37:13 UTC
cd: Accepted.